"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseNothing = exports.createTestConfigProvider = void 0;
/**
 * Creates a test config provider with the ability to set configs values and clear all config values.
 * @internal
 */
const createTestConfigProvider = () => {
    const settings = {};
    return {
        getRawConfig: (name) => settings[name],
        set: (key, value) => {
            settings[key] = value;
        },
        clear: () => {
            for (const key of Object.keys(settings)) {
                // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
                delete settings[key];
            }
        },
    };
};
exports.createTestConfigProvider = createTestConfigProvider;
const parseNothing = async () => {
    // eslint-disable-next-line @typescript-eslint/consistent-type-assertions
    const x = {};
    return x;
};
exports.parseNothing = parseNothing;
//# sourceMappingURL=gcUnitTestHelpers.js.map