/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Available compression algorithms for op compression.
 * @legacy
 * @alpha
 */
export declare enum CompressionAlgorithms {
    lz4 = "lz4"
}
/**
 * Options for op compression.
 * @legacy
 * @alpha
 */
export interface ICompressionRuntimeOptions {
    /**
     * The value the batch's content size must exceed for the batch to be compressed.
     * By default the value is 600 * 1024 = 614400 bytes. If the value is set to `Infinity`, compression will be disabled.
     */
    readonly minimumBatchSizeInBytes: number;
    /**
     * The compression algorithm that will be used to compress the op.
     * By default the value is `lz4` which is the only compression algorithm currently supported.
     */
    readonly compressionAlgorithm: CompressionAlgorithms;
}
/**
 * @legacy
 * @alpha
 */
export declare const disabledCompressionConfig: ICompressionRuntimeOptions;
export declare const enabledCompressionConfig: {
    readonly minimumBatchSizeInBytes: 614400;
    readonly compressionAlgorithm: CompressionAlgorithms;
};
//# sourceMappingURL=compressionDefinitions.d.ts.map