"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.enabledCompressionConfig = exports.disabledCompressionConfig = exports.CompressionAlgorithms = void 0;
/**
 * Available compression algorithms for op compression.
 * @legacy
 * @alpha
 */
var CompressionAlgorithms;
(function (CompressionAlgorithms) {
    CompressionAlgorithms["lz4"] = "lz4";
})(CompressionAlgorithms || (exports.CompressionAlgorithms = CompressionAlgorithms = {}));
/**
 * @legacy
 * @alpha
 */
exports.disabledCompressionConfig = {
    minimumBatchSizeInBytes: Number.POSITIVE_INFINITY,
    compressionAlgorithm: CompressionAlgorithms.lz4,
};
exports.enabledCompressionConfig = {
    // Batches with content size exceeding this value will be compressed
    minimumBatchSizeInBytes: 614400,
    compressionAlgorithm: CompressionAlgorithms.lz4,
};
//# sourceMappingURL=compressionDefinitions.js.map