/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { type ILoader } from "@fluidframework/container-definitions/internal";
import { type ISummarizer, type ISummaryConfiguration, type ISummaryConfigurationDisableSummarizer, type ISummaryConfigurationHeuristics } from "./summarizerTypes.js";
export declare const summarizerRequestUrl = "_summarizer";
export declare function isSummariesDisabled(config: ISummaryConfiguration): config is ISummaryConfigurationDisableSummarizer;
/**
 * @legacy
 * @alpha
 */
export declare const DefaultSummaryConfiguration: ISummaryConfiguration;
/**
 * Returns a function that will create and retrieve a Summarizer.
 */
export declare function formCreateSummarizerFn(loader: ILoader): () => Promise<ISummarizer>;
export declare function validateSummaryHeuristicConfiguration(configuration: ISummaryConfigurationHeuristics): void;
//# sourceMappingURL=summaryHelpers.d.ts.map