/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Available compression algorithms for op compression.
 * @legacy
 * @alpha
 */
export var CompressionAlgorithms;
(function (CompressionAlgorithms) {
    CompressionAlgorithms["lz4"] = "lz4";
})(CompressionAlgorithms || (CompressionAlgorithms = {}));
/**
 * @legacy
 * @alpha
 */
export const disabledCompressionConfig = {
    minimumBatchSizeInBytes: Number.POSITIVE_INFINITY,
    compressionAlgorithm: CompressionAlgorithms.lz4,
};
export const enabledCompressionConfig = {
    // Batches with content size exceeding this value will be compressed
    minimumBatchSizeInBytes: 614400,
    compressionAlgorithm: CompressionAlgorithms.lz4,
};
//# sourceMappingURL=compressionDefinitions.js.map