/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IDeltaManagerFull } from "@fluidframework/container-definitions/internal";
import { IContainerRuntimeEvents } from "@fluidframework/container-runtime-definitions/internal";
import type { ITelemetryBaseLogger } from "@fluidframework/core-interfaces";
import { IEventProvider } from "@fluidframework/core-interfaces";
/**
 * We report various latency-related errors when waiting for op roundtrip takes longer than that amout of time.
 */
export declare const latencyThreshold = 5000;
/**
 * Starts monitoring and generation of telemetry related to op performance.
 *
 * @param clientId - The clientId of the current container.
 * @param deltaManager - DeltaManager instance to monitor.
 * @param containerRuntimeEvents - Emitter of events for the container runtime.
 * @param logger - Telemetry logger to write events to.
 */
export declare function ReportOpPerfTelemetry(clientId: string | undefined, deltaManager: IDeltaManagerFull, containerRuntimeEvents: IEventProvider<IContainerRuntimeEvents>, logger: ITelemetryBaseLogger): void;
//# sourceMappingURL=connectionTelemetry.d.ts.map